Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.jpa.map
Class JpaAbstractEntity

    java.lang.Object
      org.apache.cayenne.jpa.map.JpaManagedClass
          org.apache.cayenne.jpa.map.JpaAbstractEntity

Direct Known Subclasses:
  JpaEntity, JpaMappedSuperclass

    public abstract class JpaAbstractEntity

extends JpaManagedClass

Field Summary
`protected JpaEntityListeners` | `entityListeners`
`protected boolean` | `excludeDefaultListeners`
`protected boolean` | `excludeSuperclassListeners`
`protected JpaIdClass` | `idClass`
`protected JpaLifecycleCallback` | `postLoad`
`protected JpaLifecycleCallback` | `postPersist`
`protected JpaLifecycleCallback` | `postRemove`
`protected JpaLifecycleCallback` | `postUpdate`
`protected JpaLifecycleCallback` | `prePersist`
`protected JpaLifecycleCallback` | `preRemove`
`protected JpaLifecycleCallback` | `preUpdate`

Fields inherited from class org.apache.cayenne.jpa.map.JpaManagedClass
`access, attributes, classDescriptor, className, description, metadataComplete`

Constructor Summary
`JpaAbstractEntity()`

Method Summary
`JpaEntityListeners` | `getEntityListeners()`
`JpaIdClass` | `getIdClass()`
`JpaLifecycleCallback` | `getPostLoad()`
`JpaLifecycleCallback` | `getPostPersist()`
`JpaLifecycleCallback` | `getPostRemove()`
`JpaLifecycleCallback` | `getPostUpdate()`
`JpaLifecycleCallback` | `getPrePersist()`
`JpaLifecycleCallback` | `getPreRemove()`
`JpaLifecycleCallback` | `getPreUpdate()`
`boolean` | `isExcludeDefaultListeners()`
`boolean` | `isExcludeSuperclassListeners()`
`void` | `setEntityListeners(JpaEntityListeners entityListeners)`
`void` | `setExcludeDefaultListeners(boolean excludeDefaultListeners)`
`void` | `setExcludeDefaultListenersTrue(Object value)` A setter used for XML serialization purposes that internally calls setExcludeDefaultListeners(true).
`void` | `setExcludeSuperclassListeners(boolean excludeSuperclassListeners)`
`void` | `setExcludeSuperclassListenersTrue(Object value)` A setter used for XML serialization purposes that internally calls setExcludeSuperclassListeners(true).
`void` | `setIdClass(JpaIdClass idClass)`
`void` | `setPostLoad(JpaLifecycleCallback postLoad)`
`void` | `setPostPersist(JpaLifecycleCallback postPersist)`
`void` | `setPostRemove(JpaLifecycleCallback postRemove)`
`void` | `setPostUpdate(JpaLifecycleCallback postUpdate)`
`void` | `setPrePersist(JpaLifecycleCallback prePersist)`
`void` | `setPreRemove(JpaLifecycleCallback preRemove)`
`void` | `setPreUpdate(JpaLifecycleCallback preUpdate)`

Methods inherited from class org.apache.cayenne.jpa.map.JpaManagedClass
`getAccess, getAttributes, getClassDescriptor, getClassName, getDescription, isMetadataComplete, setAccess, setAttributes, setClassDescriptor, setClassName, setDescription, setMetadataComplete`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### idClass

    protected JpaIdClass idClass

### excludeDefaultListeners

    protected boolean excludeDefaultListeners

### excludeSuperclassListeners

    protected boolean excludeSuperclassListeners

### entityListeners

    protected JpaEntityListeners entityListeners

### prePersist

    protected JpaLifecycleCallback prePersist

### postPersist

    protected JpaLifecycleCallback postPersist

### preRemove

    protected JpaLifecycleCallback preRemove

### postRemove

    protected JpaLifecycleCallback postRemove

### preUpdate

    protected JpaLifecycleCallback preUpdate

### postUpdate

    protected JpaLifecycleCallback postUpdate

### postLoad

    protected JpaLifecycleCallback postLoad

Constructor Detail

### JpaAbstractEntity

    public JpaAbstractEntity()

Method Detail

### getEntityListeners

    public JpaEntityListeners getEntityListeners()

### setEntityListeners

    public void setEntityListeners(JpaEntityListeners entityListeners)

### isExcludeDefaultListeners

    public boolean isExcludeDefaultListeners()

### setExcludeDefaultListeners

    public void setExcludeDefaultListeners(boolean excludeDefaultListeners)

### setExcludeDefaultListenersTrue

    public void setExcludeDefaultListenersTrue(Object value)

  A setter used for XML serialization purposes that internally calls setExcludeDefaultListeners(true).

### isExcludeSuperclassListeners

    public boolean isExcludeSuperclassListeners()

### setExcludeSuperclassListeners

    public void setExcludeSuperclassListeners(boolean excludeSuperclassListeners)

### setExcludeSuperclassListenersTrue

    public void setExcludeSuperclassListenersTrue(Object value)

  A setter used for XML serialization purposes that internally calls setExcludeSuperclassListeners(true).

### getIdClass

    public JpaIdClass getIdClass()

### setIdClass

    public void setIdClass(JpaIdClass idClass)

### getPostLoad

    public JpaLifecycleCallback getPostLoad()

### setPostLoad

    public void setPostLoad(JpaLifecycleCallback postLoad)

### getPostPersist

    public JpaLifecycleCallback getPostPersist()

### setPostPersist

    public void setPostPersist(JpaLifecycleCallback postPersist)

### getPostRemove

    public JpaLifecycleCallback getPostRemove()

### setPostRemove

    public void setPostRemove(JpaLifecycleCallback postRemove)

### getPostUpdate

    public JpaLifecycleCallback getPostUpdate()

### setPostUpdate

    public void setPostUpdate(JpaLifecycleCallback postUpdate)

### getPrePersist

    public JpaLifecycleCallback getPrePersist()

### setPrePersist

    public void setPrePersist(JpaLifecycleCallback prePersist)

### getPreRemove

    public JpaLifecycleCallback getPreRemove()

### setPreRemove

    public void setPreRemove(JpaLifecycleCallback preRemove)

### getPreUpdate

    public JpaLifecycleCallback getPreUpdate()

### setPreUpdate

    public void setPreUpdate(JpaLifecycleCallback preUpdate)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Apache Cayenne. All Rights Reserved.